curl --request PATCH \
--url https://api.helpdesk.com/v1/agents/{agentID} \
--header 'Authorization: Basic <encoded-value>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "John Text",
"signature": {
"text": "Best regards,\nJohn // Text, Inc.\n",
"richTextObj": [
{
"type": "paragraph"
},
{
"children": [
{
"text": "Best regards,"
},
{
"type": "paragraph"
},
{
"children": null
},
{
"text": "Jogn // Text, Inc."
}
]
}
]
},
"avatar": "https://livechat.s3.amazonaws.com/1520/avatars/c17903a3abff472f4b36ac33187cc135.jpeg",
"roles": [
"owner"
],
"teamIDs": [
"f56caf69-3f05-4386-9567-fdc909d7ad77"
],
"flags": {
"visitedWelcomeTutorial": true
},
"settings": {
"emailNotificationsActive": true,
"webpushNotificationsActive": "always"
},
"transactionID": "050340e4-82de-4a2a-a1c4-724dfaf66cec",
"autoassignment": true,
"autoassignmentTeamIDs": [
"9dd9e888-b42e-46c1-aa63-20cb5354c28c"
]
}
'import requests
url = "https://api.helpdesk.com/v1/agents/{agentID}"
payload = {
"name": "John Text",
"signature": {
"text": "Best regards,
John // Text, Inc.
",
"richTextObj": [{ "type": "paragraph" }, { "children": [{ "text": "Best regards," }, { "type": "paragraph" }, { "children": None }, { "text": "Jogn // Text, Inc." }] }]
},
"avatar": "https://livechat.s3.amazonaws.com/1520/avatars/c17903a3abff472f4b36ac33187cc135.jpeg",
"roles": ["owner"],
"teamIDs": ["f56caf69-3f05-4386-9567-fdc909d7ad77"],
"flags": { "visitedWelcomeTutorial": True },
"settings": {
"emailNotificationsActive": True,
"webpushNotificationsActive": "always"
},
"transactionID": "050340e4-82de-4a2a-a1c4-724dfaf66cec",
"autoassignment": True,
"autoassignmentTeamIDs": ["9dd9e888-b42e-46c1-aa63-20cb5354c28c"]
}
headers = {
"Authorization": "Basic <encoded-value>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Basic <encoded-value>', 'Content-Type': 'application/json'},
body: JSON.stringify({
name: 'John Text',
signature: {
text: 'Best regards,\nJohn // Text, Inc.\n',
richTextObj: [
{type: 'paragraph'},
{
children: [
{text: 'Best regards,'},
{type: 'paragraph'},
{children: null},
{text: 'Jogn // Text, Inc.'}
]
}
]
},
avatar: 'https://livechat.s3.amazonaws.com/1520/avatars/c17903a3abff472f4b36ac33187cc135.jpeg',
roles: ['owner'],
teamIDs: ['f56caf69-3f05-4386-9567-fdc909d7ad77'],
flags: {visitedWelcomeTutorial: true},
settings: {emailNotificationsActive: true, webpushNotificationsActive: 'always'},
transactionID: '050340e4-82de-4a2a-a1c4-724dfaf66cec',
autoassignment: true,
autoassignmentTeamIDs: ['9dd9e888-b42e-46c1-aa63-20cb5354c28c']
})
};
fetch('https://api.helpdesk.com/v1/agents/{agentID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"ID": "42e113f9-9353-4e89-9f68-69b92f423b0c",
"licenseID": 13381337,
"createdAt": "2026-06-30T22:02:08.901Z",
"createdBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"createdByType": "agent",
"updatedAt": "2026-06-30T22:02:08.901Z",
"updatedBy": "f56caf69-3f05-4386-9567-fdc909d7ad77",
"roles": [
"owner"
],
"teamIDs": [
"f56caf69-3f05-4386-9567-fdc909d7ad77"
],
"email": "john@helpdesk.com",
"name": "John Text",
"status": "active",
"avatar": "https://livechat.s3.amazonaws.com/1520/avatars/c17903a3abff472f4b36ac33187cc135.jpeg",
"flags": {
"visitedWelcomeTutorial": true
},
"settings": {
"emailNotificationsActive": true,
"webpushNotificationsActive": "always"
},
"autoassignment": true,
"autoassignmentTeamIDs": [
"9dd9e888-b42e-46c1-aa63-20cb5354c28c"
],
"signature": {
"text": "Best regards,\nJohn // Text, Inc.\n",
"richTextObj": [
{
"type": "paragraph"
},
{
"children": [
{
"text": "Best regards,"
},
{
"type": "paragraph"
},
{
"children": null
},
{
"text": "Jogn // Text, Inc."
}
]
}
],
"attachments": []
}
}Update agent
Authorizations
Use your account ID as the username and your personal access token (PAT) as the password, or pass a Base64-encoded value directly in the Authorization header. For more information, see the personal access tokens guide.
Path Parameters
Body
Full name
"John Text"
Show child attributes
Show child attributes
Job title
null
Avatar URL
"https://livechat.s3.amazonaws.com/1520/avatars/c17903a3abff472f4b36ac33187cc135.jpeg"
The agent's role on the license.
owner, normal, viewer List of teams that agent is a member of
Show child attributes
Show child attributes
Show child attributes
Show child attributes
The attachment transaction ID. Used when setting the signature that includes attachments.
Enable autoassignment for the agent
List of teams from which an agent can be auto-assigned
["9dd9e888-b42e-46c1-aa63-20cb5354c28c"]
Response
Successful response.
Unique object identifier.
Unique account identifier.
The time of creation.
The creator identifier.
The creator type.
agent, client, system The time of last modification.
The modification author identifier.
Agent role
owner, normal, viewer A list of teams that agent is a member of.
The agent's email.
The full name.
The account status.
active, invited The avatar URL.
The job title.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Enable autoassignment for the agent.
A list of teams from which an agent can be auto-assigned.
Show child attributes
Show child attributes
Was this page helpful?